package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tdfgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2108 extends AbstractRmb {
    private Tdfgrp recgrp;
    private String iskjxdrz;

    @Override
    public String getObjtyp() {
        return "TDF";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tdfgrp();
        recgrp.reset();
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tdfgrp();
        }
        recgrp.reset();
    }
}
